Subject: Re: [PATCH] hwmon/sensors: fix SENSORS_LM75 dependencies

From: Jean Delvare <[email-masked]>
Date: Tue, 7 Jan 2014 16:07:38 +0100

On Tue, 7 Jan 2014 10:57:52 -0400, Eduardo Valentin wrote:
> On 07-01-2014 10:05, Zhang, Rui wrote:
> > BTW, I've been thinking of make CONFIG_THERMAL a bool since long time ago, the only thing that blocks me is that Thermal subsystem needs to register a hwmon device for each thermal zone and CONFIG_HWMON is a tristate.
> 
> I agree with the move of having CONFIG_THERMAL as bool. Unless you have
> use cases where users are dynamically loading and unloading thermal per
> user demand, which I doubt.

Modularity is not only about reloading modules (although this can be
useful for developers in particular.) It's also about enabling many
features in a generic distribution kernel and each feature only gets
loaded/used on the hardware which needs it. This is why, as a
distribution kernel maintainer, I keep complaining when I see boolean
options which might easily be tristates.

-- 
Jean Delvare